Subject: Re: Problem running Linux 2.6.11 on MPC8272ADS

From: Kumar Gala <[email-masked]>
Date: Mon, 28 Mar 2005 10:21:38 -0600

A patch to make this work properly would be appreciated.

- kumar

On Mar 28, 2005, at 10:06 AM, Walter L. Wimer III wrote:

>
>
> Hi Mike,
>
> I had the same "hang" experience.  The file arch/ppc/platforms/pq2ads.c
> contains the following function:
>
>   void __init
>    m82xx_board_setup(void)
>   {
>          /* Enable the 2nd UART port */
>          *(volatile uint *)(BCSR_ADDR + 4) &= ~BCSR1_RS232_EN2;
>   }
>
>
>
> I had to ifdef-out the assignment statement above.  It appears that the
>  definition for BCSR_ADDR in the kernel code differs from what U-Boot 
> is
>  using, and that area of memory isn't properly mapped into the kernel
>  address space this early in the boot sequence.  As a result, I was
>  getting an Oops() before the console was even enabled (I could see the
>  Oops message by examining the kernel's printk log buffer using a
>  BDI-2000 hardware debugger).
>
>
>
>
> Good luck,
>
> Walt Wimer
>  TimeSys Corporation
>
>
>
>
>
> On Sun, 2005-03-27 at 11:31 +0200, Mike Rapoport wrote:
>  > Hi,
>  > I'm trying to bring up the Linux 2.6.11 on MPC8272ADS and it seem to
> > hang up at the very beginning.
>  > I use ads8272_defconfig and then enable console on SCC:
>  >
> > CONFIG_SERIAL_CPM=y
> > CONFIG_SERIAL_CPM_CONSOLE=y
> > CONFIG_SERIAL_CPM_SCC1=y
> >
> >
> > when I boot the kernel from the u-boot the system hangs up right 
> after
> > the kernel decompression.
> >
>
>  _______________________________________________
> Linuxppc-embedded mailing list
>  [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded